#ifndef ICONBUTTON_H
#define ICONBUTTON_H

#include <QWidget>
#include <QPushButton>

enum ICONTYOE {
    MODEICON,
    ENTERICON
};

class IconButton:public QPushButton
{
    Q_OBJECT
public:
    IconButton(QWidget* parent = nullptr);

    ~IconButton();
protected:
    void paintEvent(QPaintEvent * event);

private:
    int iconType = MODEICON;
};

#endif // ICONBUTTON_H
